#ifndef __OBJECT_CUSTOM_H__
#define __OBJECT_CUSTOM_H__

#include "Common.h"
#include "Object.h"

namespace AScript {

class DLLDECLARE Class_Custom : public Class {
public:
	Class_Custom(const Class_Custom &cls);
	Class_Custom(Environment *pEnv, Class *pClassSuper);
	virtual ~Class_Custom();
	virtual bool IsCustom() const;
	virtual Object *CreateDescendant(Environment &env, Signal sig, Class *pClass);
};

}

#endif
